Accounts

Accounts

What is an account in Paynetics?

Accounts are entities created against a merchant or user with the respective program. They can have one or multiple balances depending on your program.

Paynetics Account Core Functionalities

Accounts at Paynetics can perform a large number of operations.

IBAN - Accounts can have one or multiple IBANs depending on the program.

Supported currencies: EUR, BGN, GBP (Account number + Sort Code)

Virtual Accounts - Virtual accounts are linked to one main account and do not hold a balance. Instead, they are using the primary (main) account balance.

Card - A single card can be issued to an account. Cards can be plastic and/or virtual.

Money transfers - Account holders can send and receive money internally to/from another Paynetics account or externally to/from any IBAN.

Spend money by card - Cards can be used to pay in any physical location, online or withdraw money from ATMs.

Type of accounts

Active

By default, accounts are created in active status. This means that the account can be loaded using an external bank card, wire transfer, or internal transfer. Wire/internal transfers can also be initiated by the account owner.

Active accounts can have plastic and/or virtual cards that can be used to spend available funds.

Blocked

Blocked status restricts the account holder to spend or receive any funds. Cards cannot be issued. This status is reversible to active. If any cards are issued to the account, they are frozen as well as any Apple/Google tokens.

Closed

Closed have same properties as inactive but it also destroys all cards issued, removes all Apple/Google tokens. Account closure is an irreversible operation.

How to Create an Account?

Accounts are created via an API request. Each request should include the program and the merchant/user associated with it.

For cases where IBAN/Account Number creation is allowed by the program, but should be omitted for a specific account, a property in the API request can be used to skip that step.

For cases where a virtual account must be created, please include the primary (main) account identifier in the API request. It is mandatory that the primary (main) account is opened to the same merchant/user as in the request.

If the request is successful, the API response will return an account identifier and an array of balances with identifiers to each one. It is recommended these identifiers are stored by external parties for later usage.

POST /v2/accounts
Operation account_create

Request body

Field Type Description
program string (0,any)
merchant string (0,any)
user string (0,any)
main string (0,any)
skip_iban_generation boolean
alias string (0,any)

Example request

{
    "program": "account_eur",
    "merchant": "242d993a-be0e-461d-b9e4-7c84b8bfff4f",
    "user": "3e42849a-f1ef-4a65-b0ad-193a5e87a626",
    "main": "5a836b53-5a3f-47ab-9a76-13a7eb7d7865",
    "skip_iban_generation": false,
    "alias": "alias of account"
}

Response

Field Type Description
code integer (0,any)

Example response

{
    "code": 0,
    "data": {
        "program": "account_eur",
        "token": "202f828a-c594-436d-b753-87c47556ef11",
        "merchant": "68f63588-2859-4997-8a23-29c59223e6ba",
        "user": "5eef34b5-69d8-4596-a9d3-b3aad500e825",
        "type": "default",
        "number": "0123456789",
        "link_key": "1234",
        "is_main": true,
        "status": "active",
        "multicurrency": false,
        "balances": [
            {
                "available": 1.23,
                "blocked": 1.23,
                "currency": "EUR",
                "token": "338e7368-4800-40ad-a4db-2e3df401087b",
                "iban": "BG31PATC4002115468108680",
                "sort_code": "123456",
                "account_number": "12345678",
                "number": "0123456789",
                "is_main": true
            }
        ]
    }
}

Account Status

There are 3 statuses that an account can have:

There are two different APIs for account status change. One is for changing between active/inactive status and a separate one is used for account termination since it is an irreversible process.

Inactive
Inactive status restricts the account holder to spend or receive any funds. Cards cannot be issued. This status is reversible to active. If any cards are issued to the account, they are frozen as well as any Apple/Google tokens
Active

By default, accounts are created in active status. This means that the account can be loaded using an external bank card, wire transfer, or internal transfer. Wire/internal transfers can also be initiated by the account owner.

Active accounts can have plastic and/or virtual cards that can be used to spend available funds.

Blocked

Blocked status restricts the account holder to spend or receive any funds. Cards cannot be issued. This status is reversible to active. If any cards are issued to the account, they are frozen as well as any Apple/Google tokens.

Closed

Closed have same properties as inactive but it also destroys all cards issued, removes all Apple/Google tokens. Account closure is an irreversible operation.

{ PUT }

PUT /v2/accounts/{account}/status
Operation account_status

Path parameters

NameExampleDescription
account e61bac10-5be2-49e6-99e1-82ccfd4cb644 Token from account creation

Request body

Field Type Description
status string (0,any)
activeblocked

Example request

{
    "status": "active"
}

Response

Field Type Description
code integer (0,any)

Example response

{
    "code": 0
}

{ DELETE }

DELETE /v2/accounts/{account}
Operation account_terminate

Path parameters

NameExampleDescription
account e61bac10-5be2-49e6-99e1-82ccfd4cb644 Token from account creation

Response

Field Type Description
code integer (0,any)

Example response

{
    "code": 0
}

Account List

Account list/details can be extracted using API.

**List API** is used to extract basic information for all accounts associated with an instance. There are several filters that can be used to refine your query.

GET /v2/accounts/{page}/{limit}
Operation accounts_list

Path parameters

NameExampleDescription
page 1 Starting from page 1
limit 20 Maximum per page 10

Query parameters

NameExampleDescription
merchant {{uuid}} Token of merchant
user {{uuid}} Token of user
program {{code}} Code of program

Response

Field Type Description
code integer (0,any)

Example response

{
    "code": 0,
    "data": {
        "items": [
            {
                "program": "account_eur",
                "token": "202f828a-c594-436d-b753-87c47556ef11",
                "merchant": "68f63588-2859-4997-8a23-29c59223e6ba",
                "user": "5eef34b5-69d8-4596-a9d3-b3aad500e825",
                "type": "default",
                "number": "0123456789",
                "link_key": "1234",
                "is_main": true,
                "status": "active",
                "multicurrency": false,
                "balances": [
                    {
                        "available": 1.23,
                        "blocked": 1.23,
                        "currency": "EUR",
                        "token": "338e7368-4800-40ad-a4db-2e3df401087b",
                        "iban": "BG31PATC4002115468108680",
                        "sort_code": "123456",
                        "account_number": "12345678",
                        "number": "0123456789",
                        "is_main": true
                    }
                ]
            }
        ],
        "total_items": "1"
    }
}

Account details

**Details API** is used to return full information for the account and associated balances.

GET /v2/accounts/{account}
Operation account_details

Path parameters

NameExampleDescription
account e61bac10-5be2-49e6-99e1-82ccfd4cb644 Token from account creation

Response

Field Type Description
code integer (0,any)

Example response

{
    "code": 0,
    "data": {
        "program": "account_eur",
        "token": "202f828a-c594-436d-b753-87c47556ef11",
        "merchant": "68f63588-2859-4997-8a23-29c59223e6ba",
        "user": "5eef34b5-69d8-4596-a9d3-b3aad500e825",
        "type": "default",
        "number": "0123456789",
        "link_key": "1234",
        "is_main": true,
        "status": "active",
        "multicurrency": false,
        "balances": [
            {
                "available": 1.23,
                "blocked": 1.23,
                "currency": "EUR",
                "token": "338e7368-4800-40ad-a4db-2e3df401087b",
                "iban": "BG31PATC4002115468108680",
                "sort_code": "123456",
                "account_number": "12345678",
                "number": "0123456789",
                "is_main": true
            }
        ]
    }
}
esc
navigate open esc close
Copied